Get Consent Details

Returns the details of an account information consent object.

Endpoint

GET /v1/consents/{consentId}

Query Parameters

No query parameters.

Path Parameters

AttributeTypeDescription
consentIdStringThe consent identification assigned to the created resource.

Request Headers

AttributeTypeConditionDescription
X-Request-IDStringMandatoryID of the request, unique to the call, as determined by the initiating party (TPP).
AuthorizationStringMandatoryThe oAuth2 Bearer token obtained from the SCA performed prior to this request.
API-KeyStringMandatoryConsumer key available on the developers portal.

Request Body

No request body.

Response

HTTP Response Code: 200 (OK)

Response Headers

AttributeTypeConditionDescription
X-Request-IDUUIDMandatoryID of the request, unique to the call, as determined by the initiating party (TPP).

Response Body

AttributeTypeConditionDescription
accessAccount AccessMandatoryInformation about the provided access. (AIS, PIS, COF)
validUntilISODateMandatoryThe validity of the consent.
consentStatusConsent StatusMandatoryThe status of the consent resource.

Example

Request

curl -X GET \
https://mp-psd2-api.mypos.com/v1/consents/3c7816ee-3d51-4bf5-8ced-ece2af35d431 \
-H 'API-Key: aGDmxHAmpMWUL1txqCsjEcOS' \
-H 'Authorization: Bearer oqeeWzoYfqkf1RsfyaB3hyNiLvY7GNAV6Kta7sGa9X' \
-H 'X-Request-ID: a552babc-7081-44e7-9361-61eb17e0bfd9'

Response

{
    "consentId": "3c7816ee-3d51-4bf5-8ced-ece2af35d431",
    "consentStatus": "Valid",
    "validUntil": "2019-10-05T13:58:58.643",
    "access": {
        "balances": {
            "iban": [
                "BG49INTF40015055350097",
                "BG57INTF40015015863678",
                "BG19INTF40015026159069",
            ]
        },
        "transactions": {
            "iban": [
                "BG49INTF40015055350097",
                "BG94INTF40015055648629",
                "BG57INTF40015004462007"
            ]
        },
        "funds": {
            "iban": [
                "BG49INTF40015055350097",
                "BG57INTF40015004462007"
            ]
        }
    }
}